| LIRC libraries LinuxInfraredRemoteControl

Data Fields
ir_ncode Struct Reference

`#include <ir_remote_types.h>`

## Data Fields
char * | name
ir_code | code
int | length
lirc_t * | signals
struct ir_code_node * | next
struct ir_code_node * | current
struct ir_code_node * | transmit_state
struct ir_ncode * | next_ncode

## Detailed Description

IR Command, corresponding to one (command defining) line of the configuration file. Normally, there is only one ir_code herein (field code), however, there may be more, namely in the linked list in the field next.

Definition at line 76 of file ir_remote_types.h.

## Field Documentation

## § code

ir_code ir_ncode::code

The first code of the command

Definition at line 81 of file ir_remote_types.h.

## § current

struct ir_code_node* ir_ncode::current

Should point at the ir_code currently being transmitted, or NULL if none.

Definition at line 95 of file ir_remote_types.h.

## § length

int ir_ncode::length

(private)

Definition at line 84 of file ir_remote_types.h.

## § name

char* ir_ncode::name

Name of command

Definition at line 78 of file ir_remote_types.h.

## § next

struct ir_code_node* ir_ncode::next

Linked list of the subsequent ir_code's, after the first one. NULL if there is only one ir_code (normal case).

Definition at line 91 of file ir_remote_types.h.

## § next_ncode

struct ir_ncode* ir_ncode::next_ncode

Next code in recorded buttons list.

Definition at line 101 of file ir_remote_types.h.

## § signals

lirc_t* ir_ncode::signals

(private)

Definition at line 87 of file ir_remote_types.h.

## § transmit_state

struct ir_code_node* ir_ncode::transmit_state

(private)

Definition at line 98 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/ir_remote_types.h (085323c 2016-01-06 15:32:54 +0100)